import 'package:flutter/cupertino.dart';

import 'fx_colors.dart';
import 'fx_text.dart';

class NoDataWidget extends StatefulWidget{
  final String imageStr;
  final String contentStr;


  const NoDataWidget({Key? key, this.imageStr="images/icon_net_error.png", this.contentStr="网络错误"}) : super(key: key);
  @override
  NoDataWidgetState createState() => NoDataWidgetState();

}
class NoDataWidgetState extends State<NoDataWidget>{
  @override
  Widget build(BuildContext context) {
    return Center(
        child: Column(
          children: [
            const SizedBox(height: 100),
            Image.asset(
              widget.imageStr,
              width: 215,
              height: 134,
            ),
            const SizedBox(height: 12),
            FXText(widget.contentStr, style: FXText.content.apply(color: FXColor.main_black2, fontSizeDelta: -2)),
          ],
        ));
  }

}